import os
cg = "/sys/fs/cgroup"

def addControllers(cname,*names):
	controllers = open(cg+ "/" +cname+ "/cgroup.subtree_control").read().replace("\n","").split(" ")
	for name in names:
		if not name in controllers:
			print("Adding controller '" +name+ "' to '" +cname+ "'")
			open("/sys/fs/cgroup/" +cname+ "/cgroup.subtree_control","w").write("+" +name)

def create(name):
	if not os.path.isdir(cg+ "/" +name):
		print("Creating '" +name+ "'")
		os.makedirs(cg+ "/" +name)

def setProp(name,prop,value):
	print(name+ "/" +prop+ " = " +value)
	open(cg+ "/" +name+ "/" +prop,"w").write(value)

def setGroup(pid,name):
	#print("Setting cgroup of " +pid+ " to: '" +name+ "'")
	open(cg+ "/" +name+ "/cgroup.procs","w").write(pid)

def getProcs(name):
	return open(cg+ "/" +name+ "/cgroup.procs").read().split("\n")

_g.cgroup = globals()
